{
  pkgs,
  lib,
  ...
}: let
  plugins = (import ./extensions.lock) {
    pkgs = pkgs;
    lib = lib;
  };
in {
  home.packages = with pkgs; [
    nil
    alejandra
    deadnix
  ];

  programs.vscode = {
    extensions = with plugins; [
      jnoortheen.nix-ide
      kamadorueda.alejandra
    ];
    userSettings = {
      "nix.enableLanguageServer" = true;
      "nix.serverPath" = "nil";
    };
  };
}
